javaws(1)

NAME
javaws - Java Web Start command launcher

SYNOPSIS
javaws

javaws [ options ]

javaws [ options ] URL

PARAMETERS
Options may be in any order. For a discussion of a specific option, see OPTIONS below.

options
    Command-line options. See OPTIONS below.

URL Uniform Resource Locator (URL) of the JNLP (Java Network Launching Protocol) file.

DESCRIPTION
The javaws command launches Java Web Start, which is the reference implementation of the Java Network Launching Protocol (JNLP). Java Web Start launches java application/applets hosted on a network.

Without any options javaws will launch the Java Web Start application manager, which users can launch applications/applet or configure Java Web Start.

If an URL specifying a JNLP (Java Network Launching Protocol) file is specified, javaws will launch the Java application/applet specified in the JNLP file.

OPTIONS
The javaws launcher has a set of options that are supported in the current release. However, the options may be removed in a future release. All -X options are non-standard and subject to change.

  -offline
Runs Java Web Start in offline mode.

-uninstall <url>
    Removes a specific application/applet indicated by the URL to the JNLP file from the user's cache. If <url> is not specified, the entire cache is removed. Java Web Start will exit after the command is completed.

  -updateVersions
Updates the Java Web Start configuration file based on the current machine's settings.  Java Web Start will exit after the command is completed.

  -Xclearcache
Clears the user's cache.  Java Web Start will exit
    after the command is completed.

  -Xnosplash
Disable the display of the initial splash screen.

FILES

  $HOME/.java/.deployment/deployment.properties
System configuration file for Java Deployment Products

  $HOME/.mailcap
User's mailcap file to specify helper applications for Netscape/
    Mozilla Browser

  $HOME/.mime.types
User's mimetype file to specify mimetypes supported in Netscape/
    Mozilla Browser

  /etc/mailcap
System mailcap file to specify helper applications for Netscape/
    Mozilla Browser

  /etc/mime.types
System mimetype file to specify mimetypes supported in Netscape/
    Mozilla Browser

NOTES

  The Java Web Start Product Pages @
http://java.sun.com/products/javawebstart